package doctor.mapper;

import doctor.domain.entity.InquiryDetailsRecordEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName : InquiryMapper
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-12 19:18
 */
@Mapper
public interface InquiryMapper {
    List<InquiryDetailsRecordEntity> findHistoryInquiryRecord();

    void consultDoctor(@Param("userId") Integer userId, @Param("doctorId") Integer doctorId);

    String findDoctorUserNameByDoctorId(@Param("doctorId") Integer doctorId);
}
