package doctor.service;

import doctor.domain.dto.UserArchivesDto;
import doctor.domain.entity.*;
import doctor.domain.vo.*;
import org.springframework.web.bind.annotation.RequestHeader;

import java.util.List;

/**
 * @ClassName : UserVideoService
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 14:33
 */
public interface UserVideoService {




    List<UserVideoBuyVo> findUserVideoBuyList();

    void deleteVideoBuy(Integer videoId);

    List<UserWalletEntity> findUserWallet(Integer userId);

    List<UserVideoCollectionVo> findVideoCollectionList(Integer userId);

    void cancelVideoCollection(Integer userId, String sessionId, Integer videoId);

    List<UserConsumptionRecordVo> findUserConsumptionRecordList();

    List<UserEntity> whetherSignToday(Integer userId);

    List<UserInfoCollectionVo> findUserInfoCollectionList();

    List<UserAdoptCommentVo> findMyAdoptedCommentList();

    List<UserArchivesVo> findUserArchives(Integer userId);

    void addUserArchives(UserArchivesEntity userArchivesEntity, Integer userId);

    void uploadUserArchivesImg(Integer id);

    List<UserDoctorFollowVo> findUserDoctorFollowList();

    List<UserTaskRecordVo> findUserTaskList();

    List<SignEntity> findUserSign(Integer userId);

    List<UserVo> getUserInfoById(Integer userId);

    void addSign();

    void perfectUserInfo(Integer age, Integer height, Integer weight, Integer userId);

    void updateUserSex(Integer sex, Integer userId);

    void modifyNickName(String nickName, Integer userId);
}
